Author Topic: using vla-addtable for specific Layout  (Read 208 times)

0 Members and 1 Guest are viewing this topic.

Andrea

  • Water Moccasin
  • Posts: 2293
using vla-addtable for specific Layout
« on: January 11, 2017, 05:36:09 pm »
Hi all,

I'm trying to use vla-addtable to create AutoCAD Table with specific settings..
however,..I would like to use it by creating the table without switching Layout Tab.

any sample who can help me to replace (vla-get-paperspace doc) by a specific layout ?

Thank you.
Keep smile...

Lee Mac

  • Seagull
  • Posts: 11698
  • AutoCAD 2015 Windows 7 London, England
Re: using vla-addtable for specific Layout
« Reply #1 on: January 11, 2017, 05:45:25 pm »
Example:
Code: [Select]
(vla-addtable (vla-get-block (vla-item (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object))) "Layout1")) (vlax-3D-point 0 0) 5 5 1 1)

Andrea

  • Water Moccasin
  • Posts: 2293
Re: using vla-addtable for specific Layout
« Reply #2 on: January 11, 2017, 05:51:53 pm »
(vla-get-block..

that is what i've miss...
Thank you very Much Lee,..you're a big reference as always...
« Last Edit: January 11, 2017, 05:57:58 pm by Andrea »
Keep smile...